Bug 275601 - [pata_amd AMD-756] System hangs when using DMA with ATAPI devices
[pata_amd AMD-756] System hangs when using DMA with ATAPI devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 17:05 EDT by martin
Modified: 2009-01-09 02:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:14:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -v (2.16 KB, text/plain)
2007-09-05 00:10 EDT, martin
no flags Details
kernel messages - logged via serial ine (4.43 KB, text/plain)
2007-10-02 12:06 EDT, martin
no flags Details
Test patch sent upstream that may help with ATAPI problems (7.31 KB, text/plain)
2008-06-10 11:26 EDT, Alan Cox
no flags Details

  None (edit)
Description martin 2007-09-03 17:05:56 EDT
Description of problem:
Not possible to install Fedora because system hangs.

Version-Release number of selected component (if applicable):
f7 (the same with f8test1 and rawhide from 1st september)

How reproducible:
Always. If I try to install Fedora

Steps to Reproduce:
1. Download appropriate Fedora kernel and initrd
2. Boot these via grub (Grub/Debian resides on another partition and works fine)
3. Wait...
  
Actual results:
System hangs - Only Reset works

Expected results:
Kernel loads all needed modules and one can go further trough installation process

Additional info:
Last message from tty1: Loading pata_amd driver...
Last line tty3: inserted /tmp/libata.ko
Last lines from tty4: (I wrote down on paper - sorry for mistakes...)
<5>scsi 1:0:0:0 CD-ROM Atapi CDROM 48x 120Y PQ:0 ANSI: 5
<4>sr0: scsi3-mmc drive: 0x/0x cd/rw xa/form2 cdda tray
<6>Uniform CD-ROM driver Revision 3.2
<7>sr 1:0:0:0: Attached scsi CD-ROM sr0
and now system hangs; with f8test1 and rawhide there is also an additional line:
<5> scsi 1:0:1:0: CD-ROM  YAMAHA CRW8424E 1.0j PQ:0 ANSI: 5
and now system hangs
Comment 1 Chuck Ebbert 2007-09-04 19:05:44 EDT
What kind of disk controller does the system have?
(Output of 'lspci' will show it.)
Comment 2 martin 2007-09-05 00:10:32 EDT
Created attachment 186871 [details]
Output of lspci -v
Comment 3 Christopher Brown 2007-10-01 10:55:28 EDT
Hi Martin

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

As this is an issue with the install of Fedora 8 I have attached a kernel
blocker bug. It would be greatly appreciated if you could download the following:

http://torrent.fedoraproject.org/torrents//rawhide-i386-Live-20070925.torrent

and see if the problem has been resolved for you.
Comment 4 martin 2007-10-02 12:06:14 EDT
Created attachment 213641 [details]
kernel messages - logged via serial ine

The rawhide-live-iso image (2007-09-25) doesn#t solve the problem - system
still hangs.
Comment 5 martin 2007-10-02 12:26:54 EDT
I extracted kernel and initrd from the above mentioned iso image and booted this
via grub. After serial logging stops, there are additional three lines (Perhaps
it has something to do with that this is a live cd image ??)

no root yet, udev will write symlink...
waiting up to 60 seconds before dropping to emergency shell
...

But it hangs - emergency shell / console switch etc. doesnt work

If i burn the image and boot from that cd it hangs also.

Please - for further testing - *please give me a link to kernel / initrd from
the isolinux section*.
It's completely overkill to download / burn the big live iso only to test kernel
and initrd.

Thank you

P.S. sorry for my bad english
Comment 6 Chuck Ebbert 2007-10-02 18:21:14 EDT
When test3 arrives, try adding

  libata.pata_dma=1

to the kernel options when booting the install disk. This option was just
recently added, it was probably not in the 20070925 disc because the installer
couldn't process the directive.
Comment 7 martin 2007-10-05 14:59:41 EDT
Hmmm. Strange !

*1* If i boot .....7.92/Fedora/i386/os/isolinux/vmlinuz and initrd.img via grub
and libata.pata_dma=1 it works (system uses CD Drives in pio mode)

*2* If i burn the 7.92 live cd iso image
(......releases/test/7.92/Live/i686/Fedora-7.92-Live-i686.iso) it doesn't !!!
If i mount the iso image and boot the so extracted isolinux/vmlinuz and
isolinux/initrd.img via grub it doesn't work also (system uses CD-Drives in DMA
mode - i think system doesn't recognize the libata.pata_dma=1 parameter)

Remark: vmlinuz and initrd.img from *1* and *2* have different size. So they are
different. Is one of the differences that libata.pata_dma=1 doesn't work in *2* ??

Comment 8 Chuck Ebbert 2007-10-05 15:09:07 EDT
The installer on the Test3 DVD / live CD does not know how to pass the
libata.pata_dma option to the libata driver when it loads it. But that feature
has been added since then, so try the boot.iso from today's rawhide and see if
it works.
Comment 9 martin 2007-10-05 16:07:08 EDT
OK. I burned today's rawhide (2007-10-05) boot.iso 

It works! I hope in Fedora 8 also ?

So now i can have a look at the next bugs :-)

Have a nice weekend !

Comment 10 Chuck Ebbert 2007-10-05 16:45:49 EDT
Still not fixed, but we have a workaround that lets us install now.
Comment 11 martin 2007-10-06 01:36:47 EDT
I'd like to test a installation via the live CD.

Which Live-CD iso image will work now with the libata.pata_dma parameter ??
Comment 12 Chuck Ebbert 2007-10-08 14:41:35 EDT
(In reply to comment #11)
> I'd like to test a installation via the live CD.
> 
> Which Live-CD iso image will work now with the libata.pata_dma parameter ??
> 

Nothing until the next release (test4)
Comment 13 martin 2007-11-05 17:22:21 EST
With F8-rc3-Live-i686 CD, libata parameter still not recognized:

Unknown boot option `libata.pata_dma=1´ : ignoring
libata: Unknown parameter `pata_dma´
libata: Unknown parameter `pata_dma´
Comment 14 Chuck Ebbert 2007-11-05 17:34:25 EST
It's now "libata.dma" and the kernel will ignore it but the livecd bootloader
knows how to retrieve it from the kernel command line and pass it to the libata
module at load time. The installer on the normal install media also knows how to
do this.
Comment 15 Christopher Brown 2008-01-13 14:17:52 EST
Martin,

Any update on this? You should now be able to boot with libata.dma=1 ... 
Comment 16 martin 2008-01-16 06:55:48 EST
I am able to boot with libata.dma=1.  But this is only a *workaround* for a bug
in the kernel (see Comment #10)
Comment 17 Bug Zapper 2008-05-14 10:13:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Alan Cox 2008-06-10 11:26:35 EDT
Created attachment 308824 [details]
Test patch sent upstream that may help with ATAPI problems
Comment 19 Bug Zapper 2008-11-26 02:44:52 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-01-09 02:14:09 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.